Bug 718376 - Unsatisfied dependency on python >= 2.6
Summary: Unsatisfied dependency on python >= 2.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mock
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-02 05:07 UTC by Todd Zullinger
Modified: 2011-08-16 21:02 UTC (History)
3 users (show)

Fixed In Version: mock-1.0.19-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-09 01:27:30 UTC


Attachments (Terms of Use)

Description Todd Zullinger 2011-07-02 05:07:21 UTC
The el5 packages appear to have a bogus dependency on python >= 2.6.  This should either be removed or changed to python26 on el5, I think.

# yum update mock
Loaded plugins: downloadonly, fastestmirror, kmdl, kmod, priorities
Loading mirror speeds from cached hostfile
 * addons: mirror.rackspace.com
 * base: yum.singlehop.com
 * epel: archive.linux.duke.edu
 * epel-testing: archive.linux.duke.edu
 * extras: mirror.rackspace.com
 * updates: mirror.ash.fastserv.com
epel                                                     | 3.7 kB     00:00     
epel-testing                                             | 3.7 kB     00:00     
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package mock.noarch 0:1.0.18-1.el5 set to be updated
--> Processing Dependency: python >= 2.6 for package: mock
--> Finished Dependency Resolution
mock-1.0.18-1.el5.noarch from epel-testing has depsolving problems
  --> Missing Dependency: python >= 2.6 is needed by package mock-1.0.18-1.el5.noarch (epel-testing)
Error: Missing Dependency: python >= 2.6 is needed by package mock-1.0.18-1.el5.noarch (epel-testing)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest

Comment 1 Clark Williams 2011-07-08 20:11:00 UTC
Ah this slipped by me in the last update. Shouldn't be 2.6 but 2.4; I'll fix it in the next update.

Comment 2 Fedora Update System 2011-07-26 21:28:36 UTC
mock-1.1.12-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.12-1.el6

Comment 3 Fedora Update System 2011-07-26 21:28:55 UTC
mock-1.1.12-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.12-1.fc14

Comment 4 Fedora Update System 2011-07-26 21:29:13 UTC
mock-1.0.19-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.19-1.el5

Comment 5 Fedora Update System 2011-07-26 21:29:31 UTC
mock-1.1.12-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.12-1.fc15

Comment 6 Fedora Update System 2011-07-30 10:37:53 UTC
Package mock-1.1.12-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.12-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mock-1.1.12-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-08-09 01:27:13 UTC
mock-1.1.12-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-08-09 01:32:39 UTC
mock-1.1.12-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-08-16 21:01:29 UTC
mock-1.1.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-08-16 21:02:34 UTC
mock-1.0.19-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.